--             This file is part of the New World OS project
--                   Copyright (C) 2006  QRW Software
--           J. Scott Edwards - j.scott.edwards.nwos@gmail.com 
--                      http://www.qrwsoftware.com
--                      http://nwos.sourceforge.com
--
-- NWOS is free software;  you can redistribute it and/or modify it under the
-- terms of the GNU General Public License  as published by the Free Software
-- Foundation; either version 2, or (at your option) any later version.  This
-- software is distributed with the hope that it will be useful,  but WITHOUT
-- ANY WARRANTY;  without  even the  implied warranty  of MERCHANTABILITY  or
-- FITNESS FOR A PARTICULAR PURPOSE.   See the GNU General Public License for
-- more  details.  You should have received a copy  of the GNU General Public
-- License along with this package;  see the file COPYING.  If not, write to:
--
--      Free Software Foundation, Inc.
--      59 Temple Place - Suite 330
--      Boston, MA 02111-1307, USA.
--
-- $Log: nwos_proper_noun.e,v $
-- Revision 1.1  2007/04/14 02:24:17  jsedwards
-- Move Fine (Eiffel) files to next_gen directory.
--
-- Revision 1.2  2006/11/11 12:29:19  jsedwards
-- Update e-mail address to something that works.
--
-- Revision 1.1  2006/02/20 05:34:03  jsedwards
-- Initial version, capitalizes first letter when outputting.
--

class NWOS_PROPER_NOUN

inherit NWOS_NOUN
           redefine
              class_reference,
              class_revision,
              append_in
           end

creation make, make_unresolved

feature

   append_in(char_set: NWOS_REFERENCE; string: STRING) is
      local
         i, j: INTEGER
         codes: ARRAY[CHARACTER]
         letter: NWOS_LETTER
      do
         from
            i := spelling.lower
            letter ?= spelling.item(i)
            check
               letter /= Void
            end

            codes := letter.to_upper_case_codes(Class_ascii_character_ref)

            from
               j := codes.lower
            until
               j > codes.upper
            loop
               string.extend(codes.item(j))
               j := j + 1
            end

            i := i + 1
         until
            i > spelling.upper
         loop
            codes := spelling.item(i).to_codes(Class_ascii_character_ref)

            from
               j := codes.lower
            until
               j > codes.upper
            loop
               string.extend(codes.item(j))
               j := j + 1
            end

            i := i + 1
         end
      end


feature {NONE}  -- once again the kludgy class definition stuff

   class_revision: STRING is
      once
         !!Result.copy("$Revision: 1.1 $")
         Result.remove_prefix("$Revision: ")
         Result.remove_suffix(" $")
      end

   class_reference: NWOS_REFERENCE is
      do
         Result := Class_proper_noun_ref
      end

end

